<?php
// First, require the plugin.
require_once './extensions/third_party_db_auth.class.php';

// Now create the plugin object.
$wgAuth = new ThirdPartyDbAuth('localhost',
			       'db_name',
			       'db_username',
			       'db_password');

/* Here, you have to set the two queries that the class will
 * use to determine:
 *
 * a) whether or not a given username/password combination is valid
 * b) whether or not a given user exists in the database
 *
 * These defaults (below) should give you some idea of how this works.
 * There are two variables allowed in the quereis, %u and %p
 * which will be expanded to the supplied username and password
 * respectively.
 *
 * The authentication or existence check will succeed (return true)
 * if the query returns any rows. Note that this implementation
 * makes the username/password case-insensitve.
 */
$wgAuth->set_authentication_query("SELECT * FROM users WHERE username='%u' AND password='%p'");
$wgAuth->set_user_exists_query("SELECT * FROM users WHERE username='%u'");
?>
